#ifndef SESSION_COMMON_H
#define SESSION_COMMON_H

#include <functional>
#include <string>

typedef std::function<void(const std::string &)> StringFunc;
typedef std::function<void(void)> notifyFunc;

struct DispatchSettings {
  StringFunc server_line;
  StringFunc server_prompt;
  StringFunc client_input;
  bool show_client;
  bool talk_direct;
};

#endif