# TradeWars Proxy ++

## TODO

* work on find trade pairs/find best/find ok trades.  We have data to work with now.  
* make a program that reads the logs and feeds it into the director.  
* any problems -- exit and save your logs!  we can simulate/reproduce the problem.  :D
* This can be the beginnings of tests.  Navigate 4-5 sectors, test that the galaxy is set correct.  Are the warps right, are the ports right.  
* If I go into a sector with a port, can I do computer/ask about that port?  That might be a nicer way of exploring the galaxy -- no need to update ports, we'd already have the port's information! Yes, this works.  We also get what we have in our holds.  This is great for trading!
* ~~Setup the prompt timeout.  Display prompt + prompt_raw (to verify that this is working)~~
* ~~On the prompt, if there's a \r throw it away and everything left of it.~~
* define the functions (server_line, server_prompt [default to null/not set], client_input).  And defaults "to_client, to_server" -- but those won't ever change.  
* factory of shared_ptr of "director" ? (from dispatcher) so it gets parent / auto saves on ctor.  Sounds like a complete mess.  :(
*



# BUG

* none that this moment.  Get writing some!


## Things to Improve / Fix

* Moving anywhere should be done in a safe manner.  (Single step and density scan -- unless we just don't have any scanner!)
* Trading -- know what we have as cargo and know what the ports are buying/selling.  [AVOID: They don't want what we have -- going to the other port.]  Possibly have an option to automatically jettison the cargo! (Or sell it off at nearby port?)
* Any sectors with a high > 500 > 1000 density should be stored somewhere as "dangerous/of interest".  [How will we handle sectors that have our own fighters/planets in them then?]  Possibly do density scanner, and save those results as well...
* The dispatcher should use a stack (FILO).  We should be able to create something (SafeMove) and give it a sector number.  It will then be placed on the stack.  Once it is done, it will be able to return "something" to signal success/failure.  (Maybe have a selectable "callback" with the results?)   "Something" being struct { int value, std::string text }.
* Dispatcher
  * will have "echo" value -- so we can hide things (if we want) from the client.  [Like loading ports and warps!]
  * Will have line (to process the most recent received line), and prompt (the most recent / current complete prompt from the server). 
  * There will be obvious clear ways to send to client and server.
  * 
* Storage.  (We store a lot of data.)  In python, we used JSON.  I'm thinking right now that we should use sqlite.  It's lightweight and mostly quick.  (Maybe have dirty bit option so we can save only things that have changed?)  This is OK up to the point where we have multiple users running through the proxy.  Then what happens?
* When upgrading the planet, cargo is bought at full price.  (Haggle there as well.)
* When trading, we sometimes get "We're not interested".  Figure out what we can adjust to get that to not happen.
* Adjust our trading -- I'd like to see us earning 5 XP (or better) for excellent trading.
* 